package com.jsowell.common.enums.adapay;

/**
 * Event事件类型
 */
public enum AdapayEventEnum {
    payment_succeeded("payment.succeeded", "支付成功"),
    payment_failed("payment.failed", "支付失败"),
    payment_close_succeeded("payment.close.succeeded", "支付关单成功"),
    payment_close_failed("payment.close.failed", "支付关单失败"),
    refund_succeeded("refund.succeeded", "退款成功"),
    refund_failed("refund.failed", "退款失败"),
    corp_member_succeeded("corp_member.succeeded", "开户成功"),
    corp_member_failed("corp_member.failed", "开户失败"),
    payment_reverse_succeeded("payment_reverse.succeeded", "支付撤销成功"),
    payment_reverse_failed("payment_reverse.failed", "支付撤销失败"),
    cash_succeeded("cash.succeeded", "取现成功"),
    cash_failed("cash.failed", "取现失败"),
    account_payment_succeeded("account_payment.succeeded", "钱包支付成功"),
    account_payment_failed("account_payment.failed", "钱包支付失败"),
    fastpay_succeeded("fastpay.succeeded", "快捷支付确认成功"),
    fastpay_failed("fastpay.failed", "快捷支付确认失败"),
    fast_card_succeeded("fast_card.succeeded", "快捷绑卡确认成功"),
    fast_card_failed("fast_card.failed", "快捷绑卡确认失败"),
    unbind_fast_card_succeeded("unbind_fast_card.succeeded", "快捷卡解绑成功"),
    unbind_fast_card_failed("unbind_fast_card.failed", "快捷卡解绑失败"),
    corp_member_update_succeeded("corp_member_update.succeeded", "更新企业用户对象成功"),
    corp_member_update_failed("corp_member_update.failed", "更新企业用户对象失败"),
    ;
    private String value;
    private String label;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    AdapayEventEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }
}
